For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet the file processing settings by resource ID
      • PATCHUpdate file processing settings
      • POSTCreate file processing settings
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIFile Processing Settings

Create file processing settings

POST
/v:version/file-processing-settings
POST
/v:version/file-processing-settings
$curl -X POST https://test.api.solvimon.com/v1/file-processing-settings \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "string",
> "type": "METER_DATA"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "type": "METER_DATA",
6 "meter_data": {
7 "mapping_column": "string",
8 "mappings": [
9 {
10 "column_values": [
11 "string"
12 ],
13 "meter_reference_mapping": {
14 "column": "string",
15 "custom_field": "string",
16 "id": "string",
17 "reference": "string"
18 },
19 "ingest_reference_mapping": {
20 "column": "string",
21 "prefix": {
22 "column": "string",
23 "custom_field": "string"
24 }
25 },
26 "meter_property_mappings": [
27 {
28 "id": "string",
29 "reference": "string",
30 "column": "string",
31 "default_value": {
32 "absent_column": "string",
33 "empty_field": "string"
34 }
35 }
36 ],
37 "meter_value_mappings": [
38 {
39 "id": "string",
40 "reference": "string",
41 "column": {
42 "number": "string",
43 "amount": {
44 "quantity": "string",
45 "currency": "string"
46 }
47 },
48 "default_value": {
49 "number": {
50 "absent_column": "string",
51 "empty_field": "string"
52 },
53 "amount": {
54 "quantity": {
55 "absent_column": "string",
56 "empty_field": "string"
57 },
58 "currency": {
59 "absent_column": "string",
60 "empty_field": "string"
61 }
62 }
63 }
64 }
65 ]
66 }
67 ],
68 "customer_reference_mapping": {
69 "column": "string",
70 "custom_field": "string"
71 }
72 },
73 "bucket_location": "string",
74 "download_settings": {
75 "authentication": {
76 "api_key": {
77 "header": "string",
78 "value": "string"
79 },
80 "client_credentials": {
81 "client_id": "string",
82 "client_secret": "string"
83 },
84 "username_password": {
85 "username": "string",
86 "password": "string"
87 }
88 }
89 },
90 "included_customers": [
91 {
92 "id": "string",
93 "reference": "string",
94 "custom_field_value": "string"
95 }
96 ],
97 "excluded_customers": [
98 {
99 "id": "string",
100 "reference": "string",
101 "custom_field_value": "string"
102 }
103 ]
104}
Was this page helpful?
Previous

Get all the approval policies.

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
typeenumRequired
Allowed values:
meter_dataobjectOptional
bucket_locationstring or nullOptional
download_settingsobjectOptional
included_customerslist of objects or nullOptional
excluded_customerslist of objects or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
typeenum
Allowed values:
meter_dataobject
bucket_locationstring or null
download_settingsobject
included_customerslist of objects or null
excluded_customerslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error